#!/usr/local/bin/tclsh

set mutlist [glob -types d ./FoldX_B/*]
foreach m $mutlist {
   set mutdir [file tail $m]      
   # Recreate the pdb files from the coor files.
   for {set i 2} {$i <= 10} {incr i} {
      set fpr [open ./FoldX_B/$mutdir/Structure_1.pdb "r"]
      set data [read $fpr]
      close $fpr
      set ref [split $data \n]
      
      set fp [open ./FoldX_B/$mutdir/Structure_$i.coor "r"]
      set fpw [open ./FoldX_B/$mutdir/Structure_$i.pdb "w"]
      
      set j 0
      while {[gets $fp line] >= 0} {
         set refline [lindex $ref $j]
         if {[lindex $refline 0] != "ATOM"} {
            puts $fpw $line
         } else {
            puts $fpw "[string range $refline 0 29]$line"
         }
         set j [expr $j + 1]
      }
      close $fp
      close $fpw
      file delete ./FoldX_B/$mutdir/Structure_$i.coor

      unset ref
      set fpr [open ./FoldX_B/$mutdir/WT_Structure_1.pdb "r"]
      set data [read $fpr]
      close $fpr
      set ref [split $data \n]
      
      set fp [open ./FoldX_B/$mutdir/WT_Structure_$i.coor "r"]
      set fpw [open ./FoldX_B/$mutdir/WT_Structure_$i.pdb "w"]
      
      set j 0
      while {[gets $fp line] >= 0} {
         set refline [lindex $ref $j]
         if {[lindex $refline 0] != "ATOM"} {
            puts $fpw $line
         } else {
            puts $fpw "[string range $refline 0 29]$line"
         }
         set j [expr $j + 1]
      }
      close $fp
      close $fpw
      file delete ./FoldX_B/$mutdir/WT_Structure_$i.coor
   }
}
